Bug 1559997 - [3.3][Backport] oc adm migrate storage produces error as signature annotations forbidden
Summary: [3.3][Backport] oc adm migrate storage produces error as signature annotation...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 3.3.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.3.1
Assignee: Michal Minar
QA Contact: Dongbo Yan
URL:
Whiteboard:
Depends On: 1557607 1560311
Blocks: 1559982 1559991 1559994
TreeView+ depends on / blocked
 
Reported: 2018-03-23 17:10 UTC by Michal Minar
Modified: 2018-04-18 07:02 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Image validation used to validate old image object. Consequence: An invalid image could be pushed to etcd. Fix: Validation has been changed to validate new image object. Result: It's no longer possible to upload an invalid image object.
Clone Of: 1557607
Environment:
Last Closed: 2018-04-18 07:00:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1134 None None None 2018-04-18 07:02:00 UTC

Comment 1 Michal Minar 2018-03-23 17:12:10 UTC
OSE 3.3 PR: https://github.com/openshift/ose/pull/1158

Comment 3 Dongbo Yan 2018-04-04 07:47:13 UTC
Verified
openshift v3.3.1.46.39
kubernetes v1.3.0+52492b4
etcd 2.3.0+git

Comment 6 errata-xmlrpc 2018-04-18 07:00:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1134


Note You need to log in before you can comment on or make changes to this bug.